> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.a1.uk.astutepayroll.in/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.a1.uk.astutepayroll.in/_mcp/server.

# Update Approver

PATCH {{baseUrl}}/employment-profile/{uuid}
Content-Type: application/json

Update an approver profile. For OAuth requests only `firstName`, `lastName`, and `emailAddress` are accepted — all other fields are ignored.


Reference: https://docs.a1.uk.astutepayroll.in/api-reference/approver/update-approver

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `uuid` (string, required) — UUID of the approver profile to update

### Headers

- `vnd.a1.tenant-id` (string, optional) — Tenant identifier for multi-tenant environments

### Body (application/json)

This endpoint expects an object.

- `firstName` (string, optional)
- `lastName` (string, optional)
- `emailAddress` (string, optional)

## Response

### 200

Approver updated successfully

- `uuid` (string, optional)
- `firstName` (string, optional)
- `lastName` (string, optional)
- `emailAddress` (string, optional)

## Errors

### 404 Not Found Error

Approver not found

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "uuid": "a3b3d8a6-49bc-4b68-9745-16818eaf20b5",
  "firstName": "Jane",
  "lastName": "Smith",
  "emailAddress": "jane.smith@example.com"
}
```

**SDK Code**

```python
import requests

url = "https://{{baseurl}}/employment-profile/a3b3d8a6-49bc-4b68-9745-16818eaf20b5"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{{baseurl}}/employment-profile/a3b3d8a6-49bc-4b68-9745-16818eaf20b5';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{{baseurl}}/employment-profile/a3b3d8a6-49bc-4b68-9745-16818eaf20b5"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{{baseurl}}/employment-profile/a3b3d8a6-49bc-4b68-9745-16818eaf20b5")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://{{baseurl}}/employment-profile/a3b3d8a6-49bc-4b68-9745-16818eaf20b5")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://{{baseurl}}/employment-profile/a3b3d8a6-49bc-4b68-9745-16818eaf20b5', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{{baseurl}}/employment-profile/a3b3d8a6-49bc-4b68-9745-16818eaf20b5");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{{baseurl}}/employment-profile/a3b3d8a6-49bc-4b68-9745-16818eaf20b5")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```